<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProjectsTable extends Migration {

	public function up()
	{
		Schema::create('projects', function(Blueprint $table) {
			$table->increments('id');
			$table->string('title');
			$table->string('slug');
			$table->longText('description');
			$table->integer('country_id');
			$table->integer('project_type_id');
			$table->string('main_image');
			$table->json('multi_image');
			$table->integer('year');
			$table->text('meta_description');
			$table->text('meta_keywords');
			$table->text('meta_image');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('projects');
	}
}